Open Lighting Architecture: ola::acn Namespace Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions | Variables
ola::acn Namespace Reference

## Detailed Description

ACN related code.

## Classes
class | CID
| The ACN component identifier. More...
class | InflatorInterface
class | BaseInflator
class | CIDImpl
class | BaseDMPAddress
class | DMPAddress
class | RangeDMPAddress
class | DMPAddressData
class | DMPE131Inflator
class | DMPHeader
class | DMPInflator
class | DMPPDU
class | DMPGetProperty
class | DMPSetProperty
class | E131DiscoveryInflator
class | E131Header
class | E131Rev2Header
class | E131Inflator
class | E131InflatorRev2
class | TrackedSource
class | E131Node
class | E131PDU
class | E131Sender
class | E133Header
class | E133Inflator
class | E133PDU
class | E133StatusInflator
class | E133StatusPDU
class | HeaderSet
class | PDU
class | PDUBlock
class | PreamblePacker
class | RDMInflator
class | RDMPDU
class | RootHeader
class | NullInflator
class | RootInflator
class | RootPDU
class | RootSender
class | IncomingStreamTransport
class | IncomingTCPTransport
class | OutgoingTransport
class | TransportHeader
class | OutgoingUDPTransport
class | OutgoingUDPTransportImpl
class | IncomingUDPTransport
class | string
| STL class. More...
class | Callback0
| A 0 argument callback which can be called multiple times. More...
class | OutputStream
class | map
| STL class. More...
class | pair
| STL class. More...
class | vector
| STL class. More...
class | DmxBuffer
| Used to hold a single universe of DMX data. More...
class | IPV4Address
| Represents a IPv4 Address. More...
class | IPV4SocketAddress
| An IPv4 SocketAddress. More...
class | auto_ptr
| STL class. More...
class | set
| STL class. More...
class | IOStack

## Typedefs
typedef DMPAddress< uint8_t > | OneByteDMPAddress
typedef DMPAddress< uint16_t > | TwoByteDMPAddress
typedef DMPAddress< uint32_t > | FourByteDMPAddress
typedef RangeDMPAddress< uint8_t > | OneByteRangeDMPAddress
typedef RangeDMPAddress< uint16_t > | TwoByteRangeDMPAddress
typedef RangeDMPAddress< uint32_t > | FourByteRangeDMPAddress

## Enumerations
enum | RootVector { VECTOR_ROOT_E131_REV2 = 3 , VECTOR_ROOT_E131 = 4 , VECTOR_ROOT_E133 = 5 , VECTOR_ROOT_NULL = 6 }
| ACN vectors used at the root layer. More...
enum | DMPVector { DMP_GET_PROPERTY_VECTOR = 1 , DMP_SET_PROPERTY_VECTOR = 2 }
| Vectors used at the DMP layer. More...
enum | E131Vector { VECTOR_E131_DATA = 2 , VECTOR_E131_SYNC = 3 , VECTOR_E131_DISCOVERY = 4 }
| Vectors used at the E1.31 layer. More...
enum | E133Vector { VECTOR_FRAMING_RDMNET = 1 , VECTOR_FRAMING_STATUS = 2 , VECTOR_FRAMING_CONTROLLER = 3 , VECTOR_FRAMING_CHANGE_NOTIFICATION = 4 }
| Vectors used at the E1.33 layer. More...
enum | E133ControllerVector { VECTOR_CONTROLLER_FETCH_DEVICES = 1 , VECTOR_CONTROLLER_DEVICE_LIST = 2 , VECTOR_CONTROLLER_DEVICE_ACQUIRED = 3 , VECTOR_CONTROLLER_DEVICE_RELEASED = 4 , VECTOR_CONTROLLER_EXPECT_MASTER = 5 }
| Vectors used at the E1.33 Controller layer. More...
enum | dmp_address_size { ONE_BYTES = 0x00 , TWO_BYTES = 0x01 , FOUR_BYTES = 0x02 , RES_BYTES = 0x03 }
enum | dmp_address_type { NON_RANGE = 0x00 , RANGE_SINGLE = 0x01 , RANGE_EQUAL = 0x02 , RANGE_MIXED = 0x03 }

## Functions
unsigned int | DMPSizeToByteSize (dmp_address_size size)
const BaseDMPAddress * | NewSingleAddress (unsigned int value)
const BaseDMPAddress * | NewRangeAddress (unsigned int value, unsigned int increment, unsigned int number)
const BaseDMPAddress * | DecodeAddress (dmp_address_size size, dmp_address_type type, const uint8_t *data, unsigned int *length)
template<typename type>
dmp_address_size | TypeToDMPSize ()
const DMPPDU * | NewDMPGetProperty (bool is_virtual, bool is_relative, unsigned int start)
const DMPPDU * | NewRangeDMPGetProperty (bool is_virtual, bool is_relative, unsigned int start, unsigned int increment, unsigned int number)
template<typename type>
const DMPPDU * | NewDMPGetProperty (bool is_virtual, bool is_relative, const std::vector< DMPAddress< type > > &addresses)
template<typename type>
const DMPPDU * | _CreateDMPGetProperty (bool is_virtual, bool is_relative, unsigned int start)
template<typename type>
const DMPPDU * | NewRangeDMPGetProperty (bool is_virtual, bool is_relative, const std::vector< RangeDMPAddress< type > > &addresses)
template<typename type>
const DMPPDU * | _CreateRangeDMPGetProperty (bool is_virtual, bool is_relative, unsigned int start, unsigned int increment, unsigned int number)
template<typename type>
const DMPPDU * | NewDMPSetProperty (bool is_virtual, bool is_relative, const std::vector< DMPAddressData< DMPAddress< type > > > &chunks)
template<typename type>
const DMPPDU * | NewRangeDMPSetProperty (bool is_virtual, bool is_relative, const std::vector< DMPAddressData< RangeDMPAddress< type > > > &chunks, bool multiple_elements=true, bool equal_size_elements=true)
uint16_t | NetworkToHost (uint16_t value)
| 16-bit unsigned network to host conversion.
uint16_t | JoinUInt8 (uint8_t high, uint8_t low)
| Convert two uint8_t's to a uint16_t.
uint16_t | NetworkToHost (uint16_t value)
| 16-bit unsigned network to host conversion.
uint16_t | NetworkToHost (uint16_t value)
| 16-bit unsigned network to host conversion.
uint16_t | HostToNetwork (uint16_t value)
| 16-bit unsigned host to network conversion.
uint16_t | HostToNetwork (uint16_t value)
| 16-bit unsigned host to network conversion.
uint16_t | HostToNetwork (uint16_t value)
| 16-bit unsigned host to network conversion.
uint16_t | NetworkToHost (uint16_t value)
| 16-bit unsigned network to host conversion.
uint16_t | HostToNetwork (uint16_t value)
| 16-bit unsigned host to network conversion.
uint16_t | HostToNetwork (uint16_t value)
| 16-bit unsigned host to network conversion.
uint16_t | HostToNetwork (uint16_t value)
| 16-bit unsigned host to network conversion.
uint16_t | HostToNetwork (uint16_t value)
| 16-bit unsigned host to network conversion.
uint16_t | HostToNetwork (uint16_t value)
| 16-bit unsigned host to network conversion.
uint16_t | HostToNetwork (uint16_t value)
| 16-bit unsigned host to network conversion.
uint16_t | HostToNetwork (uint16_t value)
| 16-bit unsigned host to network conversion.

## Variables
const uint16_t | ACN_PORT = 5568
| The port used for E1.31 & SDT communication.
const uint16_t | E133_PORT = 5569
| The port used for E1.33 communication.
static const unsigned int | MAX_TWO_BYTE = 0xffff
static const unsigned int | MAX_ONE_BYTE = 0xff
const uint8_t | ACN_HEADER []
const unsigned int | ACN_HEADER_SIZE = sizeof(ACN_HEADER)

## Function Documentation

## ◆ JoinUInt8()

uint16_t ola::utils::JoinUInt8 | ( | uint8_t | high,
|  | uint8_t | low )
| inline

Convert two uint8_t's to a uint16_t.

Parameters

  high | the high byte
  low | the low byte

Returns
  the combined uint16_t

## Variable Documentation

## ◆ ACN_HEADER

const uint8_t ola::acn::ACN_HEADER[]

Initial value:
= {
0x00, 0x14,
0x00, 0x00,
0x41, 0x53, 0x43, 0x2d,
0x45, 0x31, 0x2e, 0x31,
0x37, 0x00, 0x00, 0x00
}